Page MenuHomePhabricator

FY2021-2022: Save Timing median back under 1 second
Open, HighPublic

Description

This is a tracking task for the annual goal of bringing save timing back to under one second, and doing what is needed to make it likely for the org as a whole to keep staying under it.

Definition

(This is still a draft).

Loosely: The time it takes for users to save their edit on wikitext content pages.

Concretely: TBD.

Goal
  • Median: under 1 second for a 24 hour period with no known incidents or data loss.
  • p75: under 1.5 second for 24 hour period with no known incidents or data loss.
See also

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolvedaaron
DeclinedNone
OpenNone
OpenNone
OpenPeter
OpenNone
Openaaron
Duplicateaaron
Opendpifke
OpenNone
OpenLadsgroup
OpenNone
OpenDaimona
OpenNone
ResolvedPchelolo
OpenNone
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
OpenMarostegui
Resolvednnikkhoui
OpenNone

Event Timeline

(This is still a draft).

Loosely: The time it takes for users to save their edit on wikitext content pages.

Concretely: TBD.

Strawman:

  • Metric: Frontend Save Timing.
  • Aggregate: group2 wikis.
    • We don't yet have it by content model, and group2 (Wikipedia) is a good approximation to exclude non-wikitext from Wikidata, Commons, Meta and Wikisource. But maybe we should just add content model to SaveTiming schema and do a by-contentmodel breakdown for Frontend Save Timing, as we already do for backend save timing.

https://grafana.wikimedia.org/d/000000085/save-timing?orgId=1

Krinkle renamed this task from Save Timing median under 1 second (FY2020-2021) to FY2020-2021: Save Timing median under 1 second.Jun 15 2020, 9:44 PM
Krinkle triaged this task as High priority.Jun 22 2020, 8:02 PM
Krinkle renamed this task from FY2020-2021: Save Timing median under 1 second to FY2021-2022: Save Timing median under 1 second.Mar 25 2021, 8:44 PM

An observation from Wikidata. Most of our save time (60%) is going through all abuse filters. I know your focus is Wikipedia and Daimona has done a lot to improve abuse filter performance but maybe we can look further into it (possibly with some community engagement to clean up unused, old ones).

Regardless. Great initiative! Let me know if I can help on anything.

Change 724820 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/extensions/CirrusSearch@master] Use lazypush for queuing job of onLinksUpdateCompleted hook

https://gerrit.wikimedia.org/r/724820

Change 724826 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/extensions/Echo@master] Use lazypush for queuing jobs

https://gerrit.wikimedia.org/r/724826

Change 724820 merged by jenkins-bot:

[mediawiki/extensions/CirrusSearch@master] Use lazypush for queuing job of onLinksUpdateCompleted hook

https://gerrit.wikimedia.org/r/724820

Change 725258 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/core@master] Lazy push WatchlistExpiryJob

https://gerrit.wikimedia.org/r/725258

Change 725259 had a related patch set uploaded (by Ladsgroup; author: Amir Sarabadani):

[mediawiki/extensions/Cognate@master] Lazy push CacheInvalidator job

https://gerrit.wikimedia.org/r/725259

Change 725259 merged by jenkins-bot:

[mediawiki/extensions/Cognate@master] Lazy push CacheInvalidator job

https://gerrit.wikimedia.org/r/725259

Change 725258 merged by jenkins-bot:

[mediawiki/core@master] watcheditem: Use lazy push for WatchlistExpiryJob

https://gerrit.wikimedia.org/r/725258

Change 724826 abandoned by Ladsgroup:

[mediawiki/extensions/Echo@master] Use lazypush for queuing jobs

Reason:

This one doesn't give much benefit, the ones that do are already fixed now.

https://gerrit.wikimedia.org/r/724826

Krinkle renamed this task from FY2021-2022: Save Timing median under 1 second to FY2021-2022: Save Timing median back under 1 second.Dec 14 2021, 10:57 PM
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)